Subject: bug#65464: Emacs 29.1 - VHDL mode missing updates…

From: Eli Zaretskii <[email-masked]>
Date: Thu, 31 Aug 2023 16:00:23 +0300

> Date: Thu, 31 Aug 2023 13:32:12 +0200
> Cc: [email-masked], [email-masked], [email-masked]
> From: Reto Zimmermann <[email-masked]>
> 
> > Maybe we should discuss those changes you don't approve, and see
> > whether we indeed must have them in Emacs, or maybe find a different
> > way of solving whatever problems they intended to solve, way that you
> > would agree with.
> > 
> > In general, if you keep developing and maintaining the package, I
> > think we should try very hard not to diverge what we have in Emacs.
> 
> Agree.  I will be busy the next few weeks, but after that I will look 
> into it and start a discussion to resolve the differences.

Thanks.

> In the meantime I have a question: when byte-compiling vhdl-mode.el with 
> Emacs 29.1 a 'defvar-1' ends up in vhdl-mode.elc, which causes an error 
> in older Emacs versions:
> 
> File mode specification error: (void-function defvar-1)
> 
> Someone reported the error for Emacs 28.2, but I can't reproduce.  I can 
> reproduce on Emacs 15.1.  Is this a known problem?

Stefan Monnier added that in commit 80ba4c17075, which was about
bug#55156.  Stefan, can you answer this question?  Did we make our
bytecode in Emacs 29 backward-incompatible?